package com.steering.Demand.entity;

/**
 * Created by 朱少波 on 2020/4/17.
 */
/**
 * 数据库表TMS_COM_RULE所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-04-17
 */
@SuppressWarnings("serial")
public class TmsComRuleEntity implements java.io.Serializable {
    /**
     * 规则编号(GZ+4位流水)
     */
    private String ruleNo = "";
    /**
     * 规则名称
     */
    private String ruleName = "";
    /**
     * 规则值
     */
    private String ruleVal = "";
    /**
     * 度量单位代码A01011
     */
    private String uomCode = "";
    /**
     * 度量单位
     */
    private String uomDesc = "";
    /**
     * 规则区分代码(计划编排规则/调度规则)A01032
     */
    private String ruleClassCode = "";
    /**
     * 规则区分
     */
    private String ruleClassDesc = "";
    /**
     * 规则描述
     */
    private String ruleDesc = "";
    /**
     * 计算公式
     */
    private String computeFormula = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人ID
     */
    private String createUserid = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人ID
     */
    private String updateUserid = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 废除人ID
     */
    private String deleteUserid = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";

    /**
     * 规则编号(GZ+4位流水)
     * @return value
     */
    public String getRuleNo() {
        return ruleNo;
    }

    /**
     * 规则编号(GZ+4位流水)
     * @param ruleNo value
     */
    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }

    /**
     * 规则名称
     * @return value
     */
    public String getRuleName() {
        return ruleName;
    }

    /**
     * 规则名称
     * @param ruleName value
     */
    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    /**
     * 规则值
     * @return value
     */
    public String getRuleVal() {
        return ruleVal;
    }

    /**
     * 规则值
     * @param ruleVal value
     */
    public void setRuleVal(String ruleVal) {
        this.ruleVal = ruleVal;
    }

    /**
     * 度量单位代码A01011
     * @return value
     */
    public String getUomCode() {
        return uomCode;
    }

    /**
     * 度量单位代码A01011
     * @param uomCode value
     */
    public void setUomCode(String uomCode) {
        this.uomCode = uomCode;
    }

    /**
     * 度量单位
     * @return value
     */
    public String getUomDesc() {
        return uomDesc;
    }

    /**
     * 度量单位
     * @param uomDesc value
     */
    public void setUomDesc(String uomDesc) {
        this.uomDesc = uomDesc;
    }

    /**
     * 规则区分代码(计划编排规则/调度规则)A01032
     * @return value
     */
    public String getRuleClassCode() {
        return ruleClassCode;
    }

    /**
     * 规则区分代码(计划编排规则/调度规则)A01032
     * @param ruleClassCode value
     */
    public void setRuleClassCode(String ruleClassCode) {
        this.ruleClassCode = ruleClassCode;
    }

    /**
     * 规则区分
     * @return value
     */
    public String getRuleClassDesc() {
        return ruleClassDesc;
    }

    /**
     * 规则区分
     * @param ruleClassDesc value
     */
    public void setRuleClassDesc(String ruleClassDesc) {
        this.ruleClassDesc = ruleClassDesc;
    }

    /**
     * 规则描述
     * @return value
     */
    public String getRuleDesc() {
        return ruleDesc;
    }

    /**
     * 规则描述
     * @param ruleDesc value
     */
    public void setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
    }

    /**
     * 计算公式
     * @return value
     */
    public String getComputeFormula() {
        return computeFormula;
    }

    /**
     * 计算公式
     * @param computeFormula value
     */
    public void setComputeFormula(String computeFormula) {
        this.computeFormula = computeFormula;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}